Page MenuHomeVyOS Platform

Open Connect VPN Server () support
Closed, ResolvedPublic

Description

Dear, Developers
How about to let vyos support ocserv server? Then we can use open connect vpn.
It is good for our dial-in vpn solution

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Feature (new functionality)

Event Timeline

Hello @dongjunbo what are the benefits of ocserv over the other VPN Solutions already in place?

  • WireGuard
  • OpenVPN
  • L2TP/IPSec
  • PPTP
  • SSTP
  • IKEv2 road warrior (not yet implemented, only site2site)
c-po triaged this task as Wishlist priority.Feb 14 2020, 7:17 AM
c-po removed a project: VyOS 1.2 Crux (VyOS 1.2.6).
c-po changed Version from vyos 1.2.1 release to 1.3-rolling.
In T2036#53376, @c-po wrote:

Hello @dongjunbo what are the benefits of ocserv over the other VPN Solutions already in place?

  • WireGuard
  • OpenVPN
  • L2TP/IPSec
  • PPTP
  • SSTP
  • IKEv2 road warrior (not yet implemented, only site2site)

Dear, @c-po

Since open connection vpn is work well in china. Since any connect vpn works good works well with isp in china.
So we want to vyos to support it.

Yours Sincerely!
Steve Dong

Dmitry changed the task status from Open to Needs testing.Aug 18 2020, 9:39 PM

Works as expected on VyOS 1.3-rolling-202008190118

Dmitry reopened this task as In progress.Sep 9 2020, 6:42 AM

As discussed in the maintainer's slack channel will be good to replace CLI commands from set vpn anyconnect to set vpn openconnect. But in our docs we should use anyconnect-compatible server.

erkin set Issue type to Feature (new functionality).Aug 31 2021, 5:42 PM